#ifndef PAKFILE_V3_H
#define PAKFILE_V3_H PAKFILE_V3_H

struct SectionEntry
{
    char tag[4];
    u32 dataLength;
};

struct NameEntry
{
    // bytes for name
    char tag[4];
    struct
    {
        u32 id1;
        u16 id2;
    };
};

struct Entry
{
    u32 comp; //0 or 1 (isCompressed flag?) //this is the first field, see metroid4.pak
    char tag[4];
    u32 id1;
    u16 id2;
    u16 id3;

    u32 length;
    u32 offset;
};
#endif // PAKFILE_V3_H
